SimpleTest
Keywords: junit.samples.SimpleTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.samples
Class SimpleTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.samples.SimpleTest

All Implemented Interfaces:
  Test

    public class SimpleTest

extends TestCase

Some simple tests.

Field Summary
`protected int` | `fValue1`
`protected int` | `fValue2`

Constructor Summary
`SimpleTest()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`protected void` | `setUp()` Sets up the fixture, for example, open a network connection.
`static Test` | `suite()`
`void` | `testAdd()`
`void` | `testDivideByZero()`
`void` | `testEquals()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fValue1

    protected int fValue1

### fValue2

    protected int fValue2

Constructor Detail

### SimpleTest

    public SimpleTest()

Method Detail

### setUp

    protected void setUp()

  Description copied from class: `TestCase`
  Sets up the fixture, for example, open a network connection. This method is called before a test is executed.

  Overrides:
    `setUp` in class `TestCase`

### suite

    public static Test suite()

### testAdd

    public void testAdd()

### testDivideByZero

    public void testDivideByZero()

### testEquals

    public void testEquals()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD